0. licence

Copyright (c) 2015--2023, IIHM/LIG - Renaud Blanch <http://iihm.imag.fr/blanch/>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>


1. content

BiVis is the prototype implementation of the visualization technique
described in [Blanch, 2023]
More details available on line:
http://iihm.imag.fr/blanch/projects/bivis/


2. dependencies

python: <https://www.python.org/>
cython: <https://cython.org/>
numpy: <https://numpy.org/>
pyopengl: <https://pypi.python.org/pypi/PyOpenGL/>


3. building

You may have to adapt the path in src/build.sh

% cd bivis
bivis% ./src/build.sh

this should turn the bivis.pyx and pargsort.pyx cython source code into compiled c extension:

bivis% ls -lrt src/
[...]
-rw-r--r--  1 blanch  staff  435610 Sep 25 15:20 bivis.c
-rw-r--r--  1 blanch  staff  251492 Sep 25 15:20 pargsort.c
drwxr-xr-x  3 blanch  staff      96 Sep 25 15:20 build
-rwxr-xr-x  1 blanch  staff  119696 Sep 25 15:20 bivis.cpython-310-darwin.so
-rwxr-xr-x  1 blanch  staff   65072 Sep 25 15:20 pargsort.cpython-310-darwin.so


4. running

bivis% ./demos/sotu2015.sh


5. references

[Blanch, 2023]
BiVis: Interactive and Progressive Visualization of Billions (and Counting) Items
Renaud Blanch
In proc. 19th IFIP TC13 International Conference (Interact 2023). pages 65-85. 2023.
